# Generated by Django 3.1 on 2021-05-27 18:59

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('store', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Trace',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('trace_type', models.PositiveIntegerField(null=True)),
                ('action_type', models.PositiveIntegerField(null=True)),
                ('exception', models.TextField(null=True)),
                ('content', models.TextField(null=True)),
                ('mode', models.IntegerField(null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='store',
            name='rappi_audience',
        ),
        migrations.RemoveField(
            model_name='store',
            name='rappi_client_id',
        ),
        migrations.RemoveField(
            model_name='store',
            name='rappi_client_secret',
        ),
        migrations.RemoveField(
            model_name='store',
            name='rappi_grant_type',
        ),
        migrations.AddField(
            model_name='aggregator',
            name='develop_url',
            field=models.CharField(blank=True, max_length=256, null=True),
        ),
        migrations.AddField(
            model_name='aggregator',
            name='production_url',
            field=models.CharField(blank=True, max_length=256, null=True),
        ),
        migrations.AddField(
            model_name='store',
            name='develop_mode',
            field=models.BooleanField(default=True),
        ),
        migrations.AddField(
            model_name='store',
            name='production_mode',
            field=models.BooleanField(default=True),
        ),
        migrations.AddField(
            model_name='storeaggregator',
            name='develop_credentials',
            field=models.JSONField(null=True),
        ),
        migrations.AddField(
            model_name='storeaggregator',
            name='production_credentials',
            field=models.JSONField(null=True),
        ),
        migrations.AddField(
            model_name='token',
            name='mode',
            field=models.IntegerField(default=1),
        ),
        migrations.AlterField(
            model_name='storeaggregator',
            name='relation_id',
            field=models.CharField(max_length=64, null=True),
        ),
    ]
